[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.SetBorderStyle

Sets the value for the BorderStyle property.

## Declaration

Source position: controls.pp line 2308

`protected procedure TWinControl.SetBorderStyle(`
`NewStyle: TBorderStyle`
`); virtual;`

## Arguments

`NewStyle` |  | New value for the BorderStyle property.

## Description

Notifies the widgetset class instance of the new property value when its handle has been allocated.

## See also

TWinControl.BorderStyle |  | Indicates the border style displayed around the control.